Skip to main content
`Ctrl`+`K`

# KSPMonitorSolutionDrawLGCreate

Creates the context for the `KSP` monitor `KSPMonitorSolutionDrawLG()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorSolutionDrawLGCreate(PetscViewer viewer, PetscViewerFormat format, void *ctx, PetscViewerAndFormat **vf)

Collective

## Input Parameters

- viewer - The `PetscViewer`

- format - The viewer format

- ctx - An optional user context

## Output Parameter

- vf - The viewer context

## Note

This is not called directly by users, rather one calls `KSPMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `KSP` solve.

## See Also

KSP: Linear System Solvers, `KSPMonitorSet()`, `KSPMonitorTrueResidual()`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages